%define po_package gnome-session-43

Summary: GNOME session manager
Name:    gnome-session
Version: 43.0
Release: 4%{?dist}
License: GPLv2+
URL:     https://gitlab.gnome.org/GNOME/gnome-session
Source0: https://download.gnome.org/sources/gnome-session/43/%{name}-%{version}.tar.xz

Patch3000: gnome-session-3.3.92-nv30.patch
Patch3001: gnome-session-3.6.2-swrast.patch
Patch3002: 0001-check-accelerated-gles-Use-eglGetPlatformDisplay-EXT.patch
Patch3003: 0001-Fedora-Set-grub-boot-flags-on-shutdown-reboot.patch

BuildRequires: meson gcc usermode gettext intltool xmlto /usr/bin/xsltproc
BuildRequires: pkgconfig(egl) pkgconfig(gl) pkgconfig(glesv2) pkgconfig(gnome-desktop-3.0)
BuildRequires: pkgconfig(gtk+-3.0) pkgconfig(libsystemd) pkgconfig(ice) pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(sm) pkgconfig(systemd) pkgconfig(x11) pkgconfig(xau) pkgconfig(xtst)
BuildRequires: pkgconfig(xcomposite) pkgconfig(xext) pkgconfig(xrender) pkgconfig(xtrans)

Requires: dconf system-logos control-center-filesystem gsettings-desktop-schemas dbus

%description
gnome-session manages a GNOME desktop or GDM login session. It starts up the other core GNOME components
and handles logout and saving the session.

%package xsession
Summary: Desktop file for gnome-session
Requires: %{name} = %{version}-%{release}
Requires: xorg-x11-server-Xorg gnome-shell

%description xsession
Desktop file to add GNOME to display manager session menu.

%package wayland-session
Summary: Desktop file for wayland based gnome session
Requires: %{name} = %{version}-%{release}
Requires: xorg-x11-server-Xwayland gnome-shell

%description wayland-session
Desktop file to add GNOME on wayland to display manager session menu.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson \
    -Dsession_selector=true  \
    -Dsystemd=true           \
    -Dsystemd_journal=true
%meson_build

%install
%meson_install

%find_lang %{po_package}


%files xsession
%{_datadir}/xsessions/*

%files wayland-session
%{_datadir}/wayland-sessions/*

%files -f %{po_package}.lang
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/gnome-session*
%{_libexecdir}/gnome-session-binary
%{_libexecdir}/gnome-session-check-accelerated
%{_libexecdir}/gnome-session-check-accelerated-gl-helper
%{_libexecdir}/gnome-session-check-accelerated-gles-helper
%{_libexecdir}/gnome-session-ctl
%{_libexecdir}/gnome-session-failed
%{_datadir}/gnome-session/
%{_datadir}/doc/gnome-session/dbus/gnome-session.html
%{_datadir}/GConf/gsettings/gnome-session.convert
%{_datadir}/glib-2.0/schemas/org.gnome.SessionManager.gschema.xml
%{_userunitdir}/gnome-session*
%{_userunitdir}/gnome-launched-.scope.d/
%{_mandir}/man1/gnome-session*1.*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 Shuo Wang <abushwang@tencent.com> - 43.0-1
- initial build
